Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit / JGit » Failed to install egit-5.1 from https://archive.eclipse.org/egit/updates-5.1/(Failed to install egit-5.1 from https://archive.eclipse.org/egit/updates-5.1/)
Failed to install egit-5.1 from https://archive.eclipse.org/egit/updates-5.1/ [message #1831843] Mon, 31 August 2020 18:03 Go to next message
Sergey Lobanov is currently offline Sergey LobanovFriend
Messages: 1
Registered: August 2020
Junior Member
For various reasons we bound to use eclipse luna and can't migrate to higher version. So, recently a new colleague has come to us and we tried to install egit-5.1 plugin to his luna installation (and by the way discovered egit-5.1 was moved into archives https://archive.eclipse.org/egit/updates-5.1). So, after that we've been failing to install the plugin from archives for a couple of days.

If I simply try to download artifacts from p2 repository using eclipse - i.e.
$ eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source http://archive.eclipse.org/egit/updates-5.1 -destination file://tmp/egit 

I get
java.lang.NullPointerException
	at org.eclipse.equinox.internal.p2.artifact.repository.simple.SimpleArtifactRepository.downloadArtifact(SimpleArtifactRepository.java:665)

(logs attached).
Of course, same thing happening from UI installation too.
When I try to download artifacts for egit-5.5+ (which, sadly, does not comply to luna, but it's still not in the archive)
eclipse -nosplash -verbose -application org.eclipse.equinox.p2.artifact.repository.mirrorApplication -source https://download.eclipse.org/egit/updates-5.5/ -destination file://tmp/egit


Can you help me get egit-5.1 plugin? May be some one out there has a local p2-reposioty copy with it? Or know how to overcome my problem?
Thanks in advance.

-----
$ cat .eclipseproduct 
  name=Eclipse Platform
  id=org.eclipse.platform
  version=4.4.2

Re: Failed to install egit-5.1 from https://archive.eclipse.org/egit/updates-5.1/ [message #1831845 is a reply to message #1831843] Mon, 31 August 2020 20:18 Go to previous message
Matthias Sohn is currently offline Matthias SohnFriend
Messages: 1177
Registered: July 2009
Senior Member
All versions older than 5.5 have been moved to the archive.eclipse.org server
since the available space on the download server and its mirrors around the
world is limited.

You should be able to install 5.1 (latest service release is 5.1.3) directly from
- the archive server under the URL: https://archive.eclipse.org/egit/updates-5.1.3
- Nexus: https://repo.eclipse.org/content/unzip/releases.unzip/org/eclipse/egit/org.eclipse.egit.repository/5.1.3.201810200350-r/org.eclipse.egit.repository-5.1.3.201810200350-r.zip-unzip/

or you can download the p2 repository archive from Nexus
https://repo.eclipse.org/content/groups/releases/org/eclipse/egit/org.eclipse.egit.repository/5.1.3.201810200350-r/org.eclipse.egit.repository-5.1.3.201810200350-r.zip
and then install from that archive
Previous Topic:Mylyn connector for github?
Next Topic:Deadlock when JGit config is in a different drive
Goto Forum:
  


Current Time: Sun Jun 20 02:19:48 GMT 2021

Powered by FUDForum. Page generated in 0.02025 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top